com.smartgwt.client.types

## Enum ReorderPosition

- java.lang.Object
- - java.lang.Enum<ReorderPosition>
  - - com.smartgwt.client.types.ReorderPosition

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ReorderPosition>

      public enum ReorderPosition
      extends java.lang.Enum<ReorderPosition>
      implements ValueEnum

  Controls where a drag-item should be dropped in relation to the target row

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AFTER` Drop the drag-item after the target-row
    `BEFORE` Drop the drag-item before the target-row
    `OVER` Drop the drag-item over (onto) the target-row

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ReorderPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ReorderPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEFORE

          public static final ReorderPosition BEFORE

      Drop the drag-item before the target-row

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "BEFORE".

    - #### AFTER

          public static final ReorderPosition AFTER

      Drop the drag-item after the target-row

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "AFTER".

    - #### OVER

          public static final ReorderPosition OVER

      Drop the drag-item over (onto) the target-row

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "OVER".

  - ### Method Detail

    - #### values

          public static ReorderPosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ReorderPosition c : ReorderPosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ReorderPosition valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`